Package picard.vcf

# Class GA4GHScheme

java.lang.Object
picard.vcf.GenotypeConcordanceScheme
picard.vcf.GA4GHScheme

public class GA4GHScheme extends GenotypeConcordanceScheme
The scheme is defined in the constructor. The default scheme is derived from the GA4GH Benchmarking Work Group's proposed evaluation scheme. In general, we are comparing two sets of alleles. Therefore, we can have zero or more contingency table values represented in one comparison. For example, if the truthset is a heterozygous call with both alleles non-reference (HET_VAR1_VAR2), and the callset is a heterozygous call with both alleles non-reference with one of the alternate alleles matching an alternate allele in the callset, we would have a true positive, false positive, and false negative. The true positive is from the matching alternate alleles, the false positive is the alternate allele found in the callset but not found in the truthset, and the false negative is the alternate in the truthset not found in the callset. We also include a true negative in cases where the reference allele is found in both the truthset and callset. We have no HET_VAR2_VAR3 case, as VAR2/VAR3 are simply symbolic, and so we can change HET_VAR2_VAR3 into the HET_VAR3_VAR4 case. In this (the default) scheme Finally, we have NA cases, which represent tuples that our code can and should not reach.

## Field Summary

### Fields inherited from class picard.vcf.GenotypeConcordanceScheme

`EMPTY, FN_ONLY, FP_FN, FP_ONLY, FP_TN, FP_TN_FN, NA, scheme, TN_FN, TN_ONLY, TP_FN, TP_FP, TP_FP_FN, TP_ONLY, TP_TN`

## Constructor Summary

Constructors
Constructor
Description
`GA4GHScheme()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`initiateScheme()`

### Methods inherited from class picard.vcf.GenotypeConcordanceScheme

`addRow, getConcordanceStateArray, getConcordanceStateArray, getContingencyStateSet, getContingencyStateString, validateScheme`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GA4GHScheme

public GA4GHScheme()

## Method Details

### initiateScheme

protected void initiateScheme()

Specified by:
  `initiateScheme` in class `GenotypeConcordanceScheme`